umbrello: CodeGenSelectPage Class Reference

umbrello 2.38.5 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Slots | Static Private Member Functions | List of all members
CodeGenSelectPage Class Reference

`#include <codegenselectpage.h>`

Inheritance diagram for CodeGenSelectPage:

## Public Member Functions
| CodeGenSelectPage (QWidget *parent=0)
| ~CodeGenSelectPage ()
void | setClassifierList (UMLClassifierList *classList)
bool | isComplete () const
QListWidget * | getSelectionListWidget ()

## Protected Slots
void | selectClass ()
void | deselectClass ()

## Static Private Member Functions
static void | moveSelectedItems (QListWidget *fromList, QListWidget *toList)

## Detailed Description

Author
  Luis De la Parra
  Brian Thomas
  Andi Fischer

## Constructor & Destructor Documentation

## ◆ CodeGenSelectPage()

CodeGenSelectPage::CodeGenSelectPage | ( | QWidget * | parent = 0 | ) |
| explicit

Constructor.

Parameters

  parent | the parent (wizard) of this wizard page

## ◆ ~CodeGenSelectPage()

CodeGenSelectPage::~CodeGenSelectPage | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ deselectClass

void CodeGenSelectPage::deselectClass | ( |  | ) |
| protectedslot

Removes the classes selected in the selected classes list from the list of classes used to generate the code.

## ◆ getSelectionListWidget()

QListWidget * CodeGenSelectPage::getSelectionListWidget | ( |  | ) |

Returns the list widget, which holds the classes for generation.

Returns
  the list widget of the selected classes

## ◆ isComplete()

bool CodeGenSelectPage::isComplete | ( |  | ) | const

Reimplemented QWizardPage method the enable / disable the next button.

Returns
  complete state

## ◆ moveSelectedItems()

void CodeGenSelectPage::moveSelectedItems | ( | QListWidget * | fromList,
|  | QListWidget * | toList )
| staticprivate

Moves the selected items from first list to second list. The selected items are removed from the first list and added to the second. An item is added to the second list only if it isn't already there (no duplicated items are created).

Parameters

  fromList | the list widget of selected items
  toList | the target list widget

## ◆ selectClass

void CodeGenSelectPage::selectClass | ( |  | ) |
| protectedslot

Adds the classes selected in the available classes list to the list of classes used to generate the code.

## ◆ setClassifierList()

void CodeGenSelectPage::setClassifierList | ( | UMLClassifierList * | classList | ) |

Loads the available classes for selection / deselection into the list widget.

Parameters

  classList | the available classes for generation

The documentation for this class was generated from the following files:

- umbrello/codegenwizard/codegenselectpage.h
- umbrello/codegenwizard/codegenselectpage.cpp